Loading...
Searching...
No Matches
osmium::io::Compressor Class Referenceabstract

`#include <compression.hpp>`

Inheritance diagram for osmium::io::Compressor:
[legend]

## Public Member Functions

| Compressor (const fsync sync) noexcept
| Compressor (const Compressor &)=default
Compressor & | operator= (const Compressor &)=default
| Compressor (Compressor &&) noexcept=default
Compressor & | operator= (Compressor &&) noexcept=default
virtual | ~Compressor () noexcept=default
virtual void | write (const std::string &data)=0
virtual void | close ()=0
virtual std::size_t | file_size () const

## Protected Member Functions

bool | do_fsync () const noexcept

## Private Attributes

fsync | m_fsync

## Constructor & Destructor Documentation

## Compressor() [1/3]

osmium::io::Compressor::Compressor | ( | const fsync | sync | ) |

inline explicit noexcept

## Compressor() [2/3]

osmium::io::Compressor::Compressor | ( | const Compressor & |  | ) |

default

## Compressor() [3/3]

osmium::io::Compressor::Compressor | ( | Compressor && |  | ) |

default noexcept

## ~Compressor()

virtual osmium::io::Compressor::~Compressor | ( |  | ) |

virtual default noexcept

## Member Function Documentation

## close()

virtual void osmium::io::Compressor::close | ( |  | ) |

pure virtual

Implemented in osmium::io::Bzip2Compressor, osmium::io::NoCompressor, and osmium::io::GzipCompressor.

## do_fsync()

bool osmium::io::Compressor::do_fsync | ( |  | ) | const

inline protected noexcept

## file_size()

virtual std::size_t osmium::io::Compressor::file_size | ( |  | ) | const

inline virtual

Reimplemented in osmium::io::Bzip2Compressor, osmium::io::NoCompressor, and osmium::io::GzipCompressor.

## operator=() [1/2]

Compressor & osmium::io::Compressor::operator= | ( | Compressor && |  | ) |

default noexcept

## operator=() [2/2]

Compressor & osmium::io::Compressor::operator= | ( | const Compressor & |  | ) |

default

## write()

virtual void osmium::io::Compressor::write | ( | const std::string & | data | ) |

pure virtual

Implemented in osmium::io::Bzip2Compressor, osmium::io::NoCompressor, and osmium::io::GzipCompressor.

## Member Data Documentation

## m_fsync

fsync osmium::io::Compressor::m_fsync

private

The documentation for this class was generated from the following file:

- include/osmium/io/compression.hpp